Package org.eclipse.emf.cdo.spi.common.revision

## Interface CDOFeatureMapEntry

- All Superinterfaces:
    `FeatureMap.Entry`

      @Deprecated
      public interface CDOFeatureMapEntry
      extends FeatureMap.Entry

  Deprecated.
  As of 4.5 `feature maps` are no longer supported.
  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Martin Taal

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Entry

      `FeatureMap.Entry.Internal`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setEStructuralFeature​(EStructuralFeature feature)` | Deprecated.
    `void` | `setValue​(java.lang.Object value)` | Deprecated.

    - ### Methods inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Entry

      `getEStructuralFeature, getValue`

- - ### Method Detail

    - #### setEStructuralFeature

          void setEStructuralFeature​(EStructuralFeature feature)

      Deprecated.

    - #### setValue

          void setValue​(java.lang.Object value)

      Deprecated.